Page MenuHomePhabricator

Add missing __builtin_bitreverse8
ClosedPublic

Authored by arsenm on Feb 8 2016, 9:02 AM.

Details

Reviewers
rsmith
Summary

Also add documentation for bitreverse builtins

Diff Detail

Event Timeline

arsenm updated this revision to Diff 47215.Feb 8 2016, 9:02 AM
arsenm retitled this revision from to Add documentation for bitreverse builtins.
arsenm updated this object.
arsenm added a subscriber: cfe-commits.
arsenm updated this revision to Diff 49960.Mar 7 2016, 7:33 AM
arsenm retitled this revision from Add documentation for bitreverse builtins to Add missing __builtin_bitreverse8.
arsenm updated this object.

I directly copied this from the bit reverse intrinsic documentation, so that will need to be fixed too


From: Arthur O'Dwyer <arthur.j.odwyer@gmail.com>
Sent: Monday, March 7, 2016 11:56 AM
To: reviews+D16993+public+3e6e84ed28c5743a@reviews.llvm.org; Arsenault, Matthew
Subject: Re: [PATCH] D16993: Add missing __builtin_bitreverse8

rsmith accepted this revision.Mar 23 2016, 9:06 AM
rsmith added a reviewer: rsmith.
rsmith added a subscriber: rsmith.
rsmith added inline comments.
docs/LanguageExtensions.rst
1533

This example doesn't make much sense: it looks like it's bit reversing a 7 bit number containing non-binary digits? Can you provide a real example instead?

This revision is now accepted and ready to land.Mar 23 2016, 9:06 AM
arsenm added inline comments.Mar 23 2016, 2:55 PM
docs/LanguageExtensions.rst
1533

This was copied from the IR description. I fixed it there, I'll fix it again here

arsenm closed this revision.Mar 23 2016, 3:19 PM

r264203